function jsRingCallWin(){

};

$(function(){
    var callNum=App.query("CallNum");
    $("#callNum").text(callNum);
    $("#callTime").text(DBReader.ServerTime().ServerFormat("yyyy-MM-dd hh:mm:ss"));
    var arr=jsRingCallWin.GetNumberInfor(callNum);
    if(arr[0].type!="")
    {
        $("#callType").text(arr[0].type);
    }
    if(arr[0].area!="")
    {
        $("#callArea").text(arr[0].area+" "+arr[0].city+" ");
    }
    setInterval("jsRingCallWin.CloseShowWindow()",1000);
});

/*关闭窗口*/
jsRingCallWin.CloseShowWindow=function(){
    var isHoldOn= ShowWindow.opener.document(App.query("formIndex")).getElementById("hdieGetIsHoldOn").value;
    if(isHoldOn.toString()=="1")
    {
        ShowWindow.close();
    }
    isHoldOn=null;
    CollectGarbage();
};

/*获取号码信息*/
jsRingCallWin.GetNumberInfor=function(_number)
{
    var arr=[
        {
            area:"",
            city:"",
            bigArea:"",
            type:""
        }
    ];
    try
    {
        var arrSql=new Array();
        /*创建查询语句组合：为减少访问数据库次数，将相关查询一次性返回：
        第一部分是查询号码是否是固定紧急电话或热线之类，
        第二部分是查询号码是否是固话，如果是那么就返回号码相关信息，
        第三部分是查询号码是否是手机，如果是那么就返回手机相关信息*/
        arrSql.push("SELECT 1 as DType, AREA,CITY,NTYPE,BIGAREA from T_AREACODE ");
        arrSql.push("WHERE AREACODE='"+_number+"' ");
        arrSql.push(" union ");
        arrSql.push("select 2 as DType,AREA,CITY,NTYPE,BIGAREA from T_AREACODE ");
        arrSql.push("WHERE AREACODE='"+_number.substring(0,2)+"%' or AREACODE='"+_number.substring(0,3)+"%' or AREACODE='"+_number.substring(0,4)+"%'");
        arrSql.push(" union ");
        arrSql.push("select 3 as DType,AREA,CITY,NTYPE,BIGAREA from T_AREACODE ");
        arrSql.push("WHERE AREACODE=(");
        arrSql.push("select AREACODEM from T_AREACODEM ");
        arrSql.push("WHERE "+_number.length+" >=11 and PREFIX='"+_number.substring(0,7)+"%'");
        arrSql.push(")");
        var strSql=arrSql.join('');

        var dataString=DBReader.selectSqlForJson(strSql);
        arrSql.length=0;
        arrSql=null;
        
        if(dataString!="null")
        {
            var dataObj=eval("[{"+dataString+"}]");
            if(dataObj[0].result==1 && dataObj[0].table!=null)
            {
                /*先判断是紧急或服务电话号码*/
                if(dataObj[0].table[0].DType==1)
                {
                    arr[0].type=dataObj[0].table[0].BIGAREA;
                    arr[0].area=dataObj[0].table[0].AREA;
                    arr[0].city=dataObj[0].table[0].CITY;
                }
                else if(_number.length==7 || _number.length==8)
                {
                    arr[0].type="市话";
                }
                else if(_number.length<=5)
                {
                    arr[0].type="分机";
                }
                else
                {
                    /*获取号码类型：手机 固话*/
                    arr[0].type=jsRingCallWin.GetNumberType(_number);
                    if(arr[0].type=="手机")
                    {
                        for(var i=0;i<dataObj[0].table.length;i++)
                        {
                            if(dataObj[0].table[i].DType==3)
                            {
                                arr[0].area=dataObj[0].table[i].AREA;
                                arr[0].city=dataObj[0].table[i].CITY;
                                arr[0].bigArea=dataObj[0].table[i].BIGAREA;
                                break;
                            }
                        }
                    }
                    else if(arr[0].type=="固话")
                    {
                        for(var i=0;i<dataObj[0].table.length;i++)
                        {
                            if(dataObj[0].table[i].DType==2)
                            {
                                arr[0].area=dataObj[0].table[i].AREA;
                                arr[0].city=dataObj[0].table[i].CITY;
                                arr[0].bigArea=dataObj[0].table[i].BIGAREA;
                                break;
                            }
                        }
                    }
                }
            }
            else if(_number.length==7 || _number.length==8)
            {
                arr[0].type="市话";
            }
            else if(_number.length<=5)
            {
                arr[0].type="分机";
            }
            dataObj.length=0;
            dataObj=null;
        }
        strSql=null;
        dataString=null;
    }
    catch(e)
    {
        alert("jsRingCallWin.GetNumberInfor:"+e.message);
    }
    CollectGarbage();
    return arr;
};
/*判断号码是固话还是手机*/
jsRingCallWin.GetNumberType=function(_number)
{
    var _type="手机";
    try
    {
        /*手机号码开头一般是：13、15、18，但是考虑到长途手机号码加拨0，所以应该还要加上：013、015、018*/
        var str1=_number.substring(0,2);
        var str2=_number.substring(0,3);
        if(str1=="13" || str1=="15" || str1=="18")
        {
            _type="手机";
        }
        else if(str2=="013" || str2=="015" || str2=="018")
        {
            _type="手机";
        }
        else
        {
            _type="";
        }
    }
    catch(e)
    {
        alert("jsRingCallWin.GetNumberType:"+e.message);
    }
    CollectGarbage();
    return _type;
};